<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('revenue', function (Blueprint $table) {
            $table->id('revenue_id');
            $table->string('txn_id', 100);
            $table->string('ticket_price');
            $table->string('federation_share');
            $table->string('developer_share');
            $table->timestamps(); // Adds both created_at and updated_at correctly
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('revenue');
    }
};
